Bug 1652690 - Missing dependency on urllib3
Summary: Missing dependency on urllib3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transifex-client
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 15:30 UTC by Johan Cwiklinski
Modified: 2018-12-10 23:19 UTC (History)
4 users (show)

Fixed In Version: transifex-client-0.13.5-5.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-06 03:56:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Johan Cwiklinski 2018-11-22 15:30:36 UTC
Description of problem:
Sysem update of urllib3 to version 1.24 while transifex client requires < 1.24.


Version-Release number of selected component (if applicable):


How reproducible:
transifex-client-0.13.5-1.fc29.noarch

Steps to Reproduce:
1. update system
2. try to push/pull

Actual results:
 % tx push -s                             
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 578, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 895, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (urllib3 1.24.1 (/usr/lib/python3.7/site-packages), Requirement.parse('urllib3<1.24'), {'transifex-client'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/tx", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3112, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3096, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3125, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 580, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 593, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 781, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'urllib3<1.24' distribution was not found and is required by transifex-client


Expected results:
Works... Well at least, do not allow update (maybe a bit late imo).

Additional info:

Comment 1 Fedora Update System 2018-11-22 18:07:05 UTC
transifex-client-0.13.5-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c79519956d

Comment 2 Fedora Update System 2018-11-23 02:56:05 UTC
transifex-client-0.13.5-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c79519956d

Comment 3 Fedora Update System 2018-11-29 18:21:52 UTC
transifex-client-0.13.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-240eeb757c

Comment 4 Fedora Update System 2018-11-29 18:22:03 UTC
transifex-client-0.13.5-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cc8d6d811e

Comment 5 Fedora Update System 2018-11-30 03:18:03 UTC
transifex-client-0.13.5-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-240eeb757c

Comment 6 Fedora Update System 2018-11-30 15:12:44 UTC
transifex-client-0.13.5-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cc8d6d811e

Comment 7 Fedora Update System 2018-12-06 03:56:46 UTC
transifex-client-0.13.5-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Randy Barlow 2018-12-10 23:19:57 UTC
An update associated with this bug has been pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.